%define rname beryl
%define name %{rname}-settings-bindings
%define version 0.1.9999.2
%define release %mkrel 1

Name: %name
Version: %version
Release: %release
Summary: Python Bindings for Beryl Settings
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: pygtk2.0-devel
%if %mdkversion >= 200710
BuildRequires: python-pyrex
%else
BuildRequires: pyrex
%endif

%description
Python Bindings for Beryl Settings


%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING 
%{py_platsitedir}/berylsettings.*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Mar 04 2007 anssi
+ 2007-03-04 16:56:21 (132318)
- fix buildrequires for backporting

* Wed Feb 14 2007 colin 0.1.9999.2-1mdv2007.1
+ 2007-02-14 22:17:00 (120678)
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Tue Feb 06 2007 colin 0.1.9999.1-2mdv2007.1
+ 2007-02-06 09:45:36 (116454)
- Remove explicit dependancy on beryl-core

* Mon Feb 05 2007 colin 0.1.9999.1-1mdv2007.1
+ 2007-02-05 17:31:21 (116005)
- New Release Candidate: RC1

* Sun Jan 21 2007 colin 0.1.99.2-1mdv2007.1
+ 2007-01-21 21:00:35 (111366)
- Import beryl-settings-bindings

